Subject: Re: binary mode from non-Cygwin shells?
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Earnie Boyd <[email-masked]>, Antony Courtney <[email-masked]>
Cc: [email-masked]
Date: Wed, 29 Nov 2000 11:49:59 -0500

At 11:44 AM 11/29/2000, Earnie Boyd wrote:
> > Nope.  If I leave CYGWIN unset, and run the Cygwin echo.exe explicitly:
> > 
> > d:\users\antony>c:\cygwin\bin\echo.exe hello |od -c
> > 0000000000     h   e   l   l   o  \r  \n
> > 0000000007
> > 
>
>Ok, what happens if you `set CYGWIN=binmode' before you execute this?  Yea, I
>could test it but I don't have access to *your* environment.

It works.  I tested it with 1.1.6.  This seems to indicate the default
when CYGWIN isn't set has slipped to "nobinmode"...

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Send a message to [email-masked]